aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>1999-07-27 16:18:35 +0000
committerBill Nottingham <notting@redhat.com>1999-07-27 16:18:35 +0000
commit63428a4bae5b5ecbd75e7f8f988234ca4dbf531d (patch)
tree1846a1bf3c5046265784506df40f991093a7a48f /rc.d
parentf9eb0227dbe1eae50cb91fa7395d66883829c106 (diff)
downloadinitscripts-63428a4bae5b5ecbd75e7f8f988234ca4dbf531d.tar
initscripts-63428a4bae5b5ecbd75e7f8f988234ca4dbf531d.tar.gz
initscripts-63428a4bae5b5ecbd75e7f8f988234ca4dbf531d.tar.bz2
initscripts-63428a4bae5b5ecbd75e7f8f988234ca4dbf531d.tar.xz
initscripts-63428a4bae5b5ecbd75e7f8f988234ca4dbf531d.zip
*** empty log message ***r4-27
Diffstat (limited to 'rc.d')
-rwxr-xr-xrc.d/init.d/functions12
1 files changed, 6 insertions, 6 deletions
diff --git a/rc.d/init.d/functions b/rc.d/init.d/functions
index 5f4e71b6..fcd61237 100755
--- a/rc.d/init.d/functions
+++ b/rc.d/init.d/functions
@@ -253,9 +253,9 @@ success() {
initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
else
# silly hack to avoid EPIPE killing rc.sysinit
- trap SIGPIPE
+ trap "" SIGPIPE
echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 1" >&21
- trap -
+ trap - SIGPIPE
fi
[ "$BOOTUP" != "verbose" ] && echo_success
return 0
@@ -267,9 +267,9 @@ failure() {
if [ -z "$IN_INITLOG" ]; then
initlog $INITLOG_ARGS -n $0 -s "$1" -e 2
else
- trap SIGPIPE
+ trap "" SIGPIPE
echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 2" >&21
- trap -
+ trap - SIGPIPE
fi
[ "$BOOTUP" != "verbose" ] && echo_failure
return $rc
@@ -281,9 +281,9 @@ passed() {
if [ -z "$IN_INITLOG" ]; then
initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
else
- trap SIGPIPE
+ trap "" SIGPIPE
echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 1" >&21
- trap -
+ trap - SIGPIPE
fi
[ "$BOOTUP" != "verbose" ] && echo_passed
return $rc